# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-local/dev-ruby/vikiwiki-webrick/vikiwiki-webrick-0.993.ebuild,v 1.1.1.1 2005/11/14 06:04:30 zool Exp $

DESCRIPTION="Wiki Engine VikiWiki Trial-kit for WEBrick."
HOMEPAGE="http://zool.jpn.org/misc/vikiwiki/index.html http://vikiwiki.net/"
VIKIWIKIVER="1.9.7.24"
VIKIWIKIZIP="vikiwiki-${VIKIWIKIVER}.zip"
SRC_URI="http://zool.jpn.org/vikiwiki/${P}.tar.gz
	http://zool.jpn.org/vikiwiki/${VIKIWIKIZIP}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"
IUSE="shift-jis utf-8"
DEPEND="|| ( >=dev-lang/ruby-1.8.0
	dev-lang/ruby-cvs )
	dev-ruby/uconv
	>=app-i18n/nkf-2.0.4"

RESTRICT="nomirror"

[ -z "${RUBY}" ] && export RUBY=/usr/bin/ruby
sitedir=`${RUBY} -r rbconfig -e 'puts Config::CONFIG["sitedir"]'`

src_unpack() {
	unpack ${P}.tar.gz
	cp ${DISTDIR}/${VIKIWIKIZIP} ${S}/src/vikiwiki.zip
}

src_compile() {
	if use utf-8; then
		encoding="utf-8"
	elif use shift-jis; then
		encoding="shift-jis"
	else
		encoding="euc-jp"
	fi

	${RUBY} ./setup.rb config --prefix=/usr \
		--rbdir=${sitedir} --encoding=${encoding} || die
	${RUBY} ./setup.rb setup || die
}

src_install() {
	${RUBY} setup.rb install --prefix=${D} || die

	touch ${D}/${sitedir}/vikiwiki/master/data/.keep
	touch ${D}/${sitedir}/vikiwiki/master/img/.keep
	touch ${D}/${sitedir}/vikiwiki/master/tmp/.keep

	dohtml README.html
}
